/*
** amiga.lib for vbcc-PowerOpen/WarpOS
**
** FreeIEvents()
**
** V0.2 19-Apr-98 phx
**      replaced <clib/powerpc/powerpc_protos.h> by <clib/powerpc_protos.h>
**      deleted 'volatile'
** V0.1 15-Mar-98 phx
**      created
*/

#include <devices/inputevent.h>
#include <proto/exec.h>
#include <powerpc/powerpc_protos.h>

void FreeIEvents(struct InputEvent *events)
{
  struct InputEvent *next;

  while(events!=NULL)
  {
    next=events->ie_NextEvent;
    FreeVecPPC((APTR)events);
    events=next;
  }
}
